Uploaded image for project: 'Apache Cordova'
  1. Apache Cordova
  2. CB-13254

node 4 with cordova-cli causes platform add issues

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Won't Do
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: cordova-cli
    • Labels:

      Description

      From jcesarmobile in dev@:

      I'm trying to do cordova platform add
      https://github.com/apache/cordova-ios#4.5.0 and getting this error
      
      Using CLI 7.0.1:
      
      cordova platform add https://github.com/apache/cordova-ios#4.5.0
      Using cordova-fetch for https://github.com/apache/cordova-ios#4.5.0
      Adding ios project...
       Using this version of Cordova with older version of cordova-ios is
      deprecated. Upgrade to cordova-ios@4.0.0 or newer.
      Error: Your ios platform does not have Api.js
      
      Using nightly CLI:
      
      cordova platform add https://github.com/apache/cordova-ios#4.5.0
      Warning: using prerelease version 7.0.2-nightly.2017.9.7.596da5df
      (cordova-lib@7.0.2-nightly.2017.9.7.6f5be6a7)
      Using cordova-fetch for https://github.com/apache/cordova-ios#4.5.0
      Adding ios project...
      Unable to load PlatformApi from platform. Error: Cannot find module 'unorm'
      Error: Uncaught, unspecified "error" event. (The platform "ios" does not
      appear to be a valid cordova platform. It is missing API.js. ios not
      supported.)
      
      node -v
      v4.4.7
      
      npm -v
      2.15.8
      

        Attachments

          Activity

            People

            • Assignee:
              brodybits Chris Brody
              Reporter:
              shazron Shazron Abdullah
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: